#!/bin/sh
#
# Version 0.01 JF Nutbroek
#

setterm -background blue
clear

echo "***** Create new SSL Certificate *****"
echo ""

SERVER=`cat /etc/hosts | tail -1 | awk '{print $2}'`
echo "Domain name for the certificate [enter=$SERVER]"
read answer
if [ "$answer" = "" ]; then
 answer=$SERVER
fi
SERVER=$answer
PRIVATE_KEY=server.key
CERTIFICATE_FILE=server.crt
VALID_DAYS=1095
LOCATION=/opt/lampp/bin

rm $PRIVATE_KEY >/dev/null 2>&1
rm $CERTIFICATE_FILE >/dev/null 2>&1
$LOCATION/openssl genrsa -out $PRIVATE_KEY 1024
$LOCATION/openssl req -new -days $VALID_DAYS -key $PRIVATE_KEY -x509 -out $CERTIFICATE_FILE

mv /opt/lampp/etc/ssl.key/server.key /opt/lampp/etc/ssl.key/server.key.$$ >/dev/null 2>&1
mv /opt/lampp/etc/ssl.crt/server.crt /opt/lampp/etc/ssl.crt/server.crt.$$ >/dev/null 2>&1
mv $PRIVATE_KEY /opt/lampp/etc/ssl.key/ >/dev/null 2>&1
mv $CERTIFICATE_FILE /opt/lampp/etc/ssl.crt/ >/dev/null 2>&1

echo "Please wait..."
sh /opt/lampp/lampp restartapache >/dev/null 2>&1
echo "Certificate created and webserver restarted!"

setterm -background black
exit 0

